/*
Theme Name: Twenty Twenty-Three Child
Theme URI: https://wordpress.org/themes/twentytwentythree
Template: twentytwentythree
Author: the WordPress team
Author URI: https://wordpress.org
Description: Twenty Twenty-Three is designed to take advantage of the new design tools introduced in WordPress 6.1. With a clean, blank base as a starting point, this default theme includes ten diverse style variations created by members of the WordPress community. Whether you want to build a complex or incredibly simple website, you can do it quickly and intuitively through the bundled styles or dive into creation and full customization yourself.
Tags: one-column,custom-colors,custom-menu,custom-logo,editor-style,featured-images,full-site-editing,block-patterns,rtl-language-support,sticky-post,threaded-comments,translation-ready,wide-blocks,block-styles,accessibility-ready,blog,portfolio,news
Version: 1.1.1711038475
Updated: 2024-03-21 16:27:55

*/

@font-face {
    font-family: 'Olympic Headline';
    src: url('font/OlympicHeadline-Regular.eot');
    src: local('Olympic Headline'), local('OlympicHeadline-Regular'),
        url('font/OlympicHeadline-Regular.eot?#iefix') format('embedded-opentype'),
        url('font/OlympicHeadline-Regular.woff2') format('woff2'),
        url('font/OlympicHeadline-Regular.woff') format('woff'),
        url('font/OlympicHeadline-Regular.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Olympic Headline';
    src: url('font/OlympicHeadline-RegularItalic.eot');
    src: local('Olympic Headline Regular Italic'), local('OlympicHeadline-RegularItalic'),
        url('font/OlympicHeadline-RegularItalic.eot?#iefix') format('embedded-opentype'),
        url('font/OlympicHeadline-RegularItalic.woff2') format('woff2'),
        url('font/OlympicHeadline-RegularItalic.woff') format('woff'),
        url('font/OlympicHeadline-RegularItalic.ttf') format('truetype');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

body{
	font-family: Olympic Headline;
}

div#olympic-container {
    min-width: 80%;
}

.home .tab {
    background-color: #000;
}

select, input, textarea, button, option {
    padding: 0.2em 0.5em;
    box-sizing: border-box;
    font-size: 0.8em;
    border: 0;
}

label{
    font-size: 1em;
}

form {
    margin: 1em 0;
}

button {
    border: solid 1px #fff;
    background-color: transparent;
    border-radius: 5px;
    color: #fff;
    cursor: pointer;
}

/* Form */

.page-id-17 .wp-block-post-title {
    display: none;
}

.shortcode-olympic {
    min-height: 75vh;
}

body .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)){
    max-width: 90% !important;
    margin: auto;
}

form#olympic-login-form {
    text-align: center;
    margin-top: 25vh;
}

#olympic-login-container {
    width: 300px;
    margin: 0 auto;
    text-align: center;
}
#olympic-login-form {
    display: block;
    margin-top: 20px;
    padding: 20px;
    background-color: #1C6EA4;
    border: 1px solid #ccc;
    border-radius: 5px;
}
#olympic-login-title {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px;
}
#olympic-code {
    width: calc(100% - 22px);
    padding: 8px;
    margin-bottom: 10px;
    box-sizing: border-box;
    background-color: #ccc; 
    color: #999; 
    border: 1px solid white;
}
#olympic-code:hover {
    background-color: white;
    color: hsla(0, 0%, 3%, 1);
}
#olympic-code:disabled {
    cursor: not-allowed; 
}
#olympic-login-form button {
    width: calc(100% - 22px);
    padding: 10px;
    background-color: hsla(0, 0%, 3%, 1);
    color: white;
    border: 1px solid white;
    cursor: pointer;
}
#olympic-login-form button:hover {
    background-color: hsla(0, 0%, 95%, 1);
    color: hsla(0, 0%, 3%, 1);
}
.error {
    color: red;
}

.container_featured_organisation{
    display:flex;
}

.container_organisation{
    margin-left:10px;
}

.small-label { 
    font-size: 14px; 
}

.check {
    display: inline-block;
    width:100%;
}

.shortcode-olympic>h2 {
    margin-bottom: 0.5em;
}

.discipline_select{
    width: 100%;
    min-height: 23em !important;
}

table.table_theme {
    width: 100%;
}

.discipline_select{
    width: 100%;
    min-height: 23em !important;
}

.active {
    background-color: #1C6EA4 !important;
    border: 0 !important;
}

.tab-content {
    box-sizing: border-box;
}

.tab-container {
    display: flex;
    width: 100%;
}

.tab {
    border: 1px solid #ccc;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px 5px 0 0;
    transition: background-color 0.3s ease;
}

.tab:hover {
    background-color: #e0e0e0;
}

.tab-content {
    display: none;
    padding: 20px;
    margin-top: 0;
}

.tab-content.active {
    display: block;
    align-items: center !important;
}

#apply-button-schedule,
#apply-button-medals,
#apply-button-results {
    margin-left: 5px;
}

.tab-content h2 {
    margin-top: 0;
}

.logout-btn {
    background-color: black;
    color: #fff;
    border: 1px solid white;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.logout-btn:hover {
    background-color: black;
}

.save-configuration {
    background-color: black;
    color: #fff;
    border: 1px solid white;
    padding: 10px 20px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.save-configuration:hover {
    background-color: black;
}

.iframe-container {
    margin-top: 20px;
    overflow: hidden;
    padding-bottom: 56.25%;
    position: relative;
    height: 0;
}

.iframe-container iframe {
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    position: absolute;
}

.tab-content h2 {
    margin: 0;
}

.shortcode-olympic iframe#iframe {
    margin-top: 3em;
}

form#form-container {
    display: flex;
    position: relative;
    flex-wrap: wrap;
}

form#form-container>div {
    display: inline-block;
    min-width: 50%;
    margin-bottom: 0.5em;
    padding-right: 2em;
    box-sizing: border-box;
}

form#form-container>div:last-child {
    width: 100%;
    padding-top: 2em;
    text-align: right;
}

form#form-container>div>label{
    width: 100%;
}

form#form-container>div select{
    width: 100%;
    min-height: 23em;
}

form#form-container>div select{
    width: 100%;
    min-height: 2.5em;
}

form#form-container>div>label {
    width: 100%;
    display: block;
}

.check label {
    width: fit-content !important;
    display: inline-block !important;
    margin-right: 0.5em;
    text-align: left;
}

.container_select_color {
    margin-top: 1em;
}

div#themeschedule>div:first-child {
    margin-top: 1em;
}

div#themeschedule>div:first-child select {
    width: max-content;
}

div#themeschedule table {
    width: 100%;
}

label.font_small {
    font-size: 0.9em;
}

.check {
    width: 100%;
}

input[type="color"] {
    padding: 0 !important;
    width: 4em !important;
    margin-top: 0.5em !important;
    margin-bottom: 0.5em !important;
    height: 2.5em !important;
}

input[type="color"]:last-child {
    margin-left: 1em;
}

table.table_theme {
    width: 100% !important;
}

.table_theme select{
    width: 9em !important;
}

.theme_options table {
    width: 100%;
}

div.theme_options td:last-child,
#themeschedule td:last-child, 
#thememedals td:last-child, 
#themeresults td:last-child {
    display: flex;
    justify-content: flex-end;
}

.theme_options label {
    font-size: 0.9em;
}

/* Paris */

div#page {
    max-width: 90%;
    margin: auto;
}

.ochanel_paris {
    display: flex;    
    box-sizing: border-box;
}

panel {
    float:left;
    width:max-content;
    color: white;
    background-color: #1C6EA4;      
    min-height:425px;
    height:auto;
    margin: 1em;
    padding: 1em;
    box-sizing: border-box;
    position: relative;
}

panel>div {
    position: relative;
    display: inline-block;
    width: 100%;
    margin: 0.5em 0;
}

panel label{     
    width:100%;
    text-align:left;
    float:left;
    clear:both;
}

panel select{    
    float:left;
    width:100%;
    height: 40px;
    color: #000;
    font-size: 0.8em;
}

panel option{    
    color: #000;
    font-size: 0.8em;
}

panel input{     
    width:100%;
    float:left;
}

panel hr{    
    float:left;
}

panel:nth-child(2) label {
    text-align: center;
}

div.theme_options {
    width: 100%;
    position: relative;
    float: left;
}

div.theme_options .sp-original-input-container {
    margin-left: 1em;
}

div.theme_options input {
    width: 6em !important;
    display: inline-block;
    position: relative;
    padding: 0.8em 1em;
}

panel.panel_theme {
    width: inherit;
}

.panel_theme input#themeCheck {
    width: auto;
    margin-left: 1em;
    margin-top: 0.4em;
}

div#headerimg h1 a, .wp-block-site-title {
    font-size: 30px;
    display: inline-block;
    text-decoration: none;
}

div#headerimg h1 a{    
    padding-top: var(--wp--style--root--padding-top);
}

.page-template {
    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
}

input#domain_source {
    line-height: 2em;
}

select#themeFont {
    width: 13em;
    float: right;
}

